Find Files and Folders

Next

Find Files and Folders

This search tool is called FFaMSearch and it can search for Files and Folders. It has 5 search parameters:

  • What
  • Where
  • When
  • Size
  • Contains

FFaMSearch can be used on:

  • Windows XP, Vista, Windows 7, Windows 8, Windows 10, Windows 11.
  • Server 2003, 2008, 2016, 2019, 2022.
  • x32 and x64 Windows.

It is not required to install FFaMSearch. It will work right-a-way without installing. However, if FFaMSearch is installed, it will be available for all users, and it will be integrated with Windows Explorer.

  • Install FFaMSearch
  • HowTo Use FFaMSearch

© 2012-2022 AADS WorldWide. Terminal Server | Application Server | Remote Desktop solutions | Firewall


Install

Previous

Install FFaMSearch

It is not required to install FFaMSearch. It will work right-a-way without installing. However, if FFaMSearch is installed, it will be available for all users, and it will be integrated with Windows Explorer.

  • Install on Windows Vista, Server 2008, and newer
  • Install on Windows XP and Server 2003

Windows Vista, Server 2008, and newer

  • Download and place FFaMSearch.exe somewhere on the PC, for example in your Document or Download folder.
  • Right click on FFaMSearch, and choose "Run as Administrator".

  • The usual UAC popup appears
  • Choose Yes

FFaMSearch Setup shows as follows:

  • The number of search results can be limited between 1.000 and 1.000.000
  • The Administrator can choose between install FFaMSearch, or un-install in case FFaMSearch is already installed.

Result of the installation

FFaMSearch is installed in C:\Program Files\FFaMSearch

Uninstall of FFaMSearch can also be done using "Program and Features".

Integration with Windows Explorer

Whenever the user does a "right mouse click" on some empty space in Windows Explorer while the contents of a folder is shown,
there is an extra option "Search Files and Folders":

The folder currently shown in Windows Explorer will be searched:

Windows XP and Server 2003

  • Login on Windows with an userID with Administrator rights.
  • Use the Windows RUN-box to start FFaMSearch, and specify the command line /install

FFaMSearch Setup shows as follows:

  • The number of search results can be limited between 1.000 and 1.000.000
  • The Administrator can choose between install FFaMSearch, or un-install in case FFaMSearch is already installed.

Result of the installation

FFaMSearch is installed in C:\Program Files\FFaMSearch

Uninstall of FFaMSearch can also be done using "Add or Remove Programs".

Integration with Windows Explorer

Whenever the user does a "right mouse click" on a folder in Windows Explorer, there is an extra option "Search Files and Folders":

FFaMSearch will be shown, and it will start the search in the selected folder:

Previous


HowTo Use

HowTo Use FFaMSearch

What

Searching can be done with "wild chars", using * and ?

Where

Searching can be done in:

  • drives like drive C:
  • network paths like \\10.0.0.1\data\office

Search in sub-folders is optional.

When

Searching can be done for:

  • Any date/time
  • Older then [date/time]
  • In between [date/time] and [date/time]
  • Newer then [date/time]

Size

Searching can be done for:

  • Any size
  • Smaller then [size]
  • In between [size] and [size]
  • Newer then [size]

Size is denoted in:

  • B: bytes
  • kB: kilobytes
  • MB: megabytes
  • GB: gigabytes

Contains

Contains can be:

  • Anything
  • Text
  • Bytes

When you click on Text, it becomes possible to select Case Sensitive Text Search.

Text search can done:

  • Case Sensitive
  • Case Ignore / Insensitive

When Text is searched in the File(s), FFaMSearch does the search for the Text in 3 different "formats":

  • Wide / UTF16, as used on Windows .
  • Ansi, as used on Windows .
  • UTF8, as used on anything else (OSX, Linux, BSD, the World-Wide-Web...)

The "Arrow button" reveals the option to search for Bytes.
Bytes should be entered in hexa-decimal format, either in UPPER or lowercase characters.

If the option Bytes is disabled, check-double-check that you have entered the Bytes in valid hexa-decimal format...

History

History shows up to 99 Searches that have been done

Search Modus

FFaMSearch can be used in 2 modus.

  • Modus 1: Shortcuts
  • Modus 2: Detailed List

Modus 1: Shortcuts

Search results are presented with "Shortcuts" to the results.

Modus 2: Detailed list

Search results are presented with a detailed list.


Modus 1: Shortcuts

Modus 1: Shortcuts

Search results are presented with "Shortcuts" to the results.

Showing search results by means of shortcuts, can be useful for 2 reasons:

1. On-the-fly a folder is created where the shortcuts are placed. This folder can be "saved" and kept with the [Save] button.
Such a folder with shortcuts can be convenient: it contains shortcuts in 1 place, shortcuts to files that are located in various and different folders across the PC and/or network.

When the search results are "Saved", the name of the Search Result folder contains the Date/Time of when the search result were saved.
The user can change this name to whatever he/she wants.

2. Using right-click mouse on a shortcut gives the default Windows Explorer popup showing what can be done with the shortcuts.


Modus 2: Detailed list

Modus 2: Detailed list

Search results are presented with a detailed list.

Using the Results

Open a File

  • Double click on the Name of a File, will open the File (if it is possible to Open the File, as in, there is an associated program installed for the File).
  • Select a File and "drag" it on some Application. If the Application is able to handle drag-and-drop, and if the Application understand the FileType, the Application will open the "dropped" file.

Open a Folder

  • Double click on the Folder, will open the containing Folder.

Popup Menu Files

  • Right-mouse-click on a File will show the Popup Menu for Files.
  • Select a File and use the keyboard [MENU] key.

Popup Menu Folders

  • Right-mouse-click on a Folder will show the Popup Menu for Folders.
  • Select a Folder and use the keyboard [MENU] key.

Copy and Cut File(s)

  • File(s) that are selected, can be [Copy] or [Cut]. After selecting [Copy] or [Cut], go to an Explorer Window and choose [Paste]
  • Use keyboard [CTRL-C] for [Copy]
  • Use keyboard [CTRL-X] for [Cut]

Delete File(s)

  • File(s) that are selected, can be Deleted.
  • Use keyboard [DEL] for Deleting File(s).
  • Use the Popup menu for Deleting File(s).
  • Select 1 or more Files, and choose Delete

Rename a File

  • Select a File and choose [Rename] in the Popup Menu for Renaming the File.
  • Use keyboard [F2] for Renaming the File.

Properties of a File or Folder

  • Select a File and choose [Properties] in the Popup Menu for a Properties-Popup of the File.
  • Use keyboard [ALT-ENTER] Menu for a Properties-Popup of the File.
  • Select a Folder and choose [Properties] in the Popup Menu for a Properties-Popup of the Folder.
  • Use keyboard [ALT-ENTER] Menu for a Properties-Popup of the Folder.

Selecting / De-selecting Files

  • Click on the Icon of a File for selecting / de-selecting Files.
  • Use keyboard [Spacebar] for selecting / de-selecting Files.
  • Use keyboard [CTRL-A] for selecting all Files and Folders.
  • Use the Popup menu for Select All / Select None / Invert Selection.
  • In case multiple Files are selected, [COPY], [CUT] and [DELETE] can be used.

Drag and Drop a File

  • Select a File and "drag" it on some Explorer window or the Desktop. The File will be copied into the "place" where the File is dropped.
  • Select a File and "drag" it on some Application. If the Application is able to handle drag-and-drop, and if the Application understand the FileType, the Application will open the "dropped" file.

Saving the results

Search results can be saved to CSV file (Comma Separated Value) and can be opened Notepad, or with EXCEL or similar spreadsheet programs:

CSV files can be opened with Notepad or similar, or with the Spreadsheet program:


Changelog

Changelog

9 Feb 2023

  • Bug fix: the buttons Go and Stop did not always properly reflect whether or not a Search is busy. For example, while still searching for text in ZIP Files, the Go-button shows "enabled" while the Stop-button is already "disabled", as if the Search is already finished.

1 Sep 2022

  • Ability to search for Text or Bytes within ZIP Files, Office documents and similar files.

11 Jul 2022

  • Add the option for Contains: searching for Text or Bytes within File(s).

13 Apr 2022

  • Fixed a bug for deleting files in x32 or x64 folders while running with Elevated rights.

20 Nov 2021

  • Create an entry for FFaMSearch in "Control Panel / Programs and Features" (Vista and Newer).
  • Create an entry for FFaMSearch in "Control Panel / Add or Remove Programs" (WXP and Server 2003).

26 May 2020

  • Improvement: after starting FFaMSearch, for a few seconds the build-date is shown, such that the user can know if the user is running an old version of FFaMSearch...
  • Bug fix: Modus 2: When there was only 1 search result, the ICON and FILETYPE would not be shown correctly.
  • Bug fix: Modus 2: Saving the results, the FILETYPE for each saved result in the CSV file, would always be the FILETYPE of the saved CSV-file itself and not the FILETYPE of the file.

24 May 2020

  • First release.


Copyrights

Copyrights

All contents copyrighted by:

AADS WorldWide Terminal Server (AADS Services FZ LLC)

Support Office:
City Tower 2
Sheikh Zayed Road
Dubai
UAE

Other products

All products mentioned are copyrighted by their respective owners.